html {
    scroll-behavior: smooth;
}


body {
    font-family: "poppins";
    background-color: #EEEEEE;
    color: #1b2730;
    margin: 0;
    overflow-x: hidden;
}


header {
    background-color: #E8E8E8;
    text-align: center;
    color: #0f4c81;
    padding: 16px;
    position: sticky;
    top: 0;
    z-index: 10;
    box-shadow: 0 1.6px 4.8px grey;
}

header a,
footer a {
    text-decoration: none;
}

:is(header a, footer a):hover {
    text-decoration: underline;
}

.messageenvoie p {
    font-weight: bold;
    text-align: center;
    border-radius: 10px;
    color: rgb(255, 255, 255);
    background-color: #0bd562a0;
    position: absolute;
    width: 100%;
}


.messageerreur {
    background-color: #d50b0ba0!important;
}

.nav {
    display: flex;
    align-items: center;
    height: 1.25rem;
    justify-content: center;
}

.navpage {
    display: flex;
    justify-content: center;
}


.navpagesection h2 {
    color: white;
    padding: .3125rem 1.25rem;
    margin: .625rem 0rem;
    border-radius: 1.25rem;
    align-self: flex-end;
    background-color: #737373;
}



.navpage li {
    font-size: 1.875rem;
    font-weight: bold;
    margin: 0 1.25rem;
}


h2 {
    color: #484848;
    text-align: center;
    font-size: 3.125rem;
    margin-bottom: 0;
    scroll-margin-top: 5rem;
}

.intro {
    display: flex;
    font-size: 2.5rem;
    margin-left: 2.5rem;
    justify-content: center;
    align-items: center;
}

.intro img {
    flex-basis: 30%;
    align-items: center;
}


.presentation {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    margin: 0 0 0 1.875rem;
    color: black;
}

.presentation h1 {
    font-size: 6.25rem;
    margin: 0;
    font-weight: 500;
    line-height: 6.25rem;
}



.presentation p {
    font-size: 3.125rem;
    margin: 0;
    font-weight: 400;
    line-height: 3.125rem;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.interliste p {
    display: flex;
    padding: 0 .625rem;
    margin: 0 1.875rem;
    border-radius: 3.125rem;
    font-size: 1.5rem;
    align-items: center;

}


.competech {
    text-align: center;
    padding: 1.25rem 0;
}

.competech h2 {
    margin-bottom: 1.25rem;
    color: #333;
}


.techniques{
    display: flex;
    justify-content: center;
    gap: 1.875rem;
    padding: 0;
    margin: 0;
}

.techniques li {
    flex-grow: 0;
}


.articlecompetences {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #737373;
    border-radius: .9375rem;
    position: relative;
    height: 25rem;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    width: 18.75rem;
    overflow: hidden;
    margin: 1.875rem 0;
}

.articlecompetences h3 {
    z-index: 1;
    position: absolute;
    color: white;
    font-size: 2.8125rem;
    font-weight: bold;
    text-align: center;
    width: 80%;
    line-height: 1.2;
    opacity: 100%;
    text-shadow: #111 .065rem 0 .65rem;
    transition: 0.5s ease-in-out;

}

.articlecompetences img {
    object-fit: cover;
    object-position: center center;
    width: 100%;
    height: 100%;
    border-radius: .9375rem;
    opacity: 0.9;
}



.articlecompetences p {
    position: absolute;
    padding: 16px 24px;
    top: 0;
    left: 0;
    margin: 0;
    color: white;
    font-size: 20.8px;
    line-height: 1.4;
    background-color: #111;
    background: rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(.5625rem);
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    transform: translateY(150%);
    border-radius: .9375rem;
    text-align: left;
    transition: transform 400ms ease-in-out;
}

.articlecompetences:hover p {
    transform: translateY(0%);
}

.articlecompetences:hover h3 {
    opacity: 0;
    transition: 0.3s ease-in-out;
}

.galerie {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0;
    margin: 0;
}

.projet {
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    flex-basis: calc(50% - 3.75rem);
    background-color: #737373;
    border-radius: .9375rem;
    margin: 1.875rem;
}

.projet img {
    width: 100%;
    height: 320px;
    object-fit: cover;
    object-position: center top;
    border-radius: .9375rem;

}

.projet a {
    text-decoration: none;

}


.titreprojetindex {
    font-size: 32px;
    text-align: center;
    color: white;
    font-style: italic;
    flex-grow: 1;
    margin: 0;
    padding: 0;
}

.description {
    font-size: 19.2px;
    text-align: center;
    margin: 0 .625rem;
    padding: 0;
    color: white;
    flex-grow: 2;
}

.articleprojet {
    flex-wrap: wrap;
    position: relative;
    height: 100%;
    display: flex;
    justify-content: center;
}


.articleprojet img {

    display: block;
    width: 100%;
    height: 300px;
    background-color: #969696;
    object-position: center;
}


.tags {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.tag {
    color: white;
    padding: .3125rem 1.25rem;
    margin: .625rem 0rem;
    font-size: 1.25rem;
    border-radius: 1.25rem;
    align-self: flex-end;
}


.tag:not(:last-of-type) {
    margin-right: .625rem;

}

.scolaire {
    background-color: #FD8282;
}

.gestion {
    background-color: #17B20C;
}

.communication {
    background-color: #F582FD;
}

.personnel {
    background-color: #FF0000;
}

.video {
    background-color: #8299FD;
}

.marketing {
    background-color: #EEB931;
}

.collage {
    background-color: darkred;
}

a {
    color: #484848;
}


.formulaireimg form {
    display: flex;
    justify-content: center;
    text-align: center;
        width: 90%;
}


.formulaireimg {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 62.5rem;
    height: 37.5rem;
    max-width: 90%;
    margin: 2.5rem auto;
    margin-top: 0;
    padding: 1.875rem;
    padding-top: 0;
    background-image: url(./medias/imageform.webp);
    background-size: 100% 100%;
    border-radius: .625rem;
}

.formulaireimg:hover {
    background-blend-mode: lighten;
}



.formulaireimg fieldset {
    border: none;
    padding: 0;
    margin: 0;
        text-align: left;
    width: 90%;
}




fieldset>div>label:first-child {
    font-weight: bold;
    text-transform: uppercase;
    margin-top: 8px;
    display: block;
}

input:not([type="submit"]),
select,
textarea {
    padding: 8px;
    border: solid #ccc 1px;
    border-radius: 5px;
    font-size: 16px;
    box-sizing: border-box;
    width: 100%;
}


input[type="submit"] {
    border-radius: 10%;
    height: 2rem;
    border: solid #9c9c9c 1px;
    margin-left: auto;
}

input[type="submit"]:hover {
    background-color: #ACCAF2
}

fieldset label {
    margin: 0;
}


.soumettre{
    display: flex;
}

.contactsection h3 {
    margin-top: 5px;
    margin-bottom: 20px;
    font-size: 1.875rem;
    text-align: center;
}

footer {
    background-color: #D9D9D9;
    display: flex;
    text-align: center;
    justify-content: center;
    font-weight: 500;
    font-size: 1.25rem;
}

footer p {
    margin: .3125rem;
    padding: 0;
}


h4 {
    color: white;
    text-align: center;
    font-size: 1.9rem;
    margin-bottom: 0;
    margin: auto;
}